﻿var dataRequest_ = null;
var DETAILS_HTML = '';
function view_onOpen() {
  fetch.innerText = FETCH;
  txtInstructions.innerText = INSTRUCTIONS;
  getData();
}

function getData(){
  // Start to download the data
  dataRequest_ = new XMLHttpRequest();
  try {
    dataRequest_.open("GET", "http://www.OwnYourPhone.com/gadget_desk_randomTone_v1.0.php", true);
  } catch (e) {
    // Catch invalid URLs
    txtInstructions.innerText = FAILED;
    dataRequest_ = null;
    return;
  }
  // Set the callback for when the downloading is completed (or failed)
  dataRequest_.onreadystatechange = onLoadData;
  // Start the download
  try {
    dataRequest_.send();
  } catch (e) {
    // Catch errors sending the request
    txtInstructions.innerText = FAILED;
    dataRequest_ = null;
    return;
  }
}

function onLoadData() {
  // Verify that the download completed
  if (dataRequest_.readyState != 4)
    return;
  // Verify that the download was successful
  if (dataRequest_.status != 200) {
    txtInstructions.innerText = FAILED;
    dataRequest_ = null;
    return;
  }
  DETAILS_HTML = dataRequest_.responseText;
  dataRequest_ = null;
}

function fetchData() {
  getData();
  // Create the details view and set its content. Specifying 'undefined' in 
  // setContent makes it such that no time is displayed in the details view
  var htmlDetailsView = new DetailsView();
  htmlDetailsView.html_content = true;
  htmlDetailsView.setContent("", undefined, DETAILS_HTML, false, 0);
  // In order to have two way communication with the HTML details view, we 
  // need to set an external object that can receive events. This is called 
  // from the HTML using the javascript "window.external.onItemClick(text);".
  var externalObject = new Object();
  externalObject.onItemClick = onItemClick;
  htmlDetailsView.external = externalObject;
  // Show the details view
  pluginHelper.showDetailsView(htmlDetailsView, DETAILS_VIEW_TITLE, 
    gddDetailsViewFlagToolbarOpen, onDetailsViewFeedback);
}

function onItemClick(text) {
  // Display which item was clicked on
  view.alert(text);
  // Close the details view
  pluginHelper.CloseDetailsView();
}

function onDetailsViewFeedback(detailsViewFlags) {
  if (detailsViewFlags == gddDetailsViewFlagNone) {
    // User closed the details view
  } else if (detailsViewFlags == gddDetailsViewFlagToolbarOpen) {
    // User clicked on the title of the details view
  }
}